{% extends 'form.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle 'Importer des services via csv' %}

{% block pageActions %}
    {{ macro.backButton('app_service_index') }}
{% endblock %}

{% block pageDetails %}

    <div class="alert alert-info">
        Information : Votre csv doit être contruit de la manière suivante : <br>

        Mettre uniquement les nom des services<br>
        Le séparateur est le caractère "," <br>

        <br>
        colonne 1 : Nom du service <br>
        <br>

        Exemple : <br>
        DSI,<br>
        DRH,<br>
        Informatique,<br>

        <br>
        <b>Attention :</b> Si un service existe déja alors il ne sera pas modifié.
    </div>
{% endblock %}

{% block pageForm %}

    {{ form_start(form) }}
    {{ form_widget(form) }}

    <div class="alert alert-warning">Attention : L'import des services peut durer plusieurs dizaines de secondes</div>

    <div class="float-right">
        {% block pageSaveReturn %}{{ macro.save('app_service_index') }}{% endblock %}
    </div>

    {{ form_end(form) }}

{% endblock %}

{% block javascripts %}
    <script>
        let freezeClick = false;

        let formCsv = document.getElementsByName("csv")[0];
        formCsv.onsubmit = () => {
            freezeClick = true;
        }

        document.addEventListener("click", e => {
            if (freezeClick) {
                console.log('clicks are disabled');
                e.stopPropagation();
                e.preventDefault();
            }
        }, true);
    </script>
{% endblock %}

